diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index 44dd4db7ce..4c8288fa3b 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -640,8 +640,9 @@
 
   <para>
    As a rule of thumb, <structfield>queryid</structfield> values can be assumed to be
-   stable and comparable only so long as the underlying server version and
-   catalog metadata details stay exactly the same.  Two servers
+   stable and comparable only between <productname>PostgreSQL</productname> instances
+   which are running the same major version of <productname>PostgreSQL</productname>
+   and are running on the same machine architecture and catalog metadata details match.  Two servers
    participating in replication based on physical WAL replay can be expected
    to have identical <structfield>queryid</structfield> values for the same query.
    However, logical replication schemes do not promise to keep replicas
